PETSc version 3.15.5
Fix/Edit manual page

# KSPSetInitialGuessKnoll

Tells the iterative solver to use PCApply(pc,b,..) to compute the initial guess (The Knoll trick)

### Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode  KSPSetInitialGuessKnoll(KSP ksp,PetscBool flg)

Logically Collective on ksp

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()
| flg | - PETSC_TRUE or PETSC_FALSE

Developer Note: the Knoll trick is not currently implemented using the KSPGuess class

### See Also

KSPGetInitialGuessKnoll(), KSPSetInitialGuessNonzero(), KSPGetInitialGuessNonzero(), KSP

### Level

advanced

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages